import { IRootStore } from '../../store/RootStore';
import { UserData } from '../..';
export * from './types';
export declare class AuthorizationHandler {
    private root;
    constructor(root: IRootStore);
    private get jwt();
    private get userID();
    private get authService();
    setOnlineState(interval: number): Promise<void>;
    getOnlineStates(userIds: string[]): Promise<any>;
    authorize({ organizationId, nToken, validParents, validOrganizationTypes, force, }: {
        organizationId?: string;
        validParents?: string[];
        validOrganizationTypes?: string[];
        nToken?: string;
        force?: boolean;
    }): Promise<{
        user: UserData;
        zToken: string;
        permissions: string[];
    }>;
    register({ email, password, name, familyName, invitationId, validParents, validOrganizationTypes, otp, }: {
        email: string;
        password: string;
        name: string;
        familyName: string;
        invitationId: string;
        validParents?: string[];
        validOrganizationTypes?: string[];
        otp?: string;
    }): Promise<{
        user: UserData;
        zToken: string;
        nToken: string;
        permissions: string[];
        simple?: boolean;
    }>;
    login({ organizationId, email, password, simple, validParents, validOrganizationTypes, invitationId, otp, }: {
        organizationId?: string;
        email: string;
        password?: string;
        simple?: boolean;
        validOrganizationTypes?: string[];
        validParents?: string[];
        invitationId?: string;
        otp?: string;
    }): Promise<{
        user: UserData;
        zToken: string;
        nToken: string;
        permissions: string[];
        simple?: boolean;
    }>;
    logout({ callbackUri }: {
        callbackUri: string;
    }): Promise<any>;
    fetchLoginProvider({ email }: {
        email: string;
    }): Promise<{
        provider: string;
    }>;
    private fetch;
    getInvitationValue(what: string, value: string): Promise<any>;
    updateUserLanguage(language: 'de' | 'en' | 'fr' | 'it'): Promise<any>;
}
//# sourceMappingURL=index.d.ts.map